## libconstantine-java 0.7

=== debian/changelog ===
libconstantine-java (0.7-6) unstable; urgency=medium

  * Update broken Homepage link. (Closes: #758866)
  * Remove dependency on JRE (this is a library package).
  * Update Vcs URLs to canonical forms.
  * Use debhelper 9.

 -- tony mancill <tmancill@debian.org>  Sun, 24 Aug 2014 18:34:26 -0700

libconstantine-java (0.7-5) unstable; urgency=low

  * Adopt the package under the pkg-java umbrella
    (Closes: #705826)
  * Standards-Version updated to 3.9.5
  * Import in the pkg-java VCS
  * Switch to dpkg-source 3.0 (quilt) format
  * add OSGi metadata to constantine.jar manifest
    Thanks to Jakub Adam (Closes: #698487)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 14:35:16 +0100

libconstantine-java (0.7-4) unstable; urgency=low

  * Orphaning this package.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 20 Apr 2013 18:38:57 +0200

libconstantine-java (0.7-3) unstable; urgency=low

  * Fixed missing jar file in /usr/share/java.
  * The jar name is now constantine.jar.  Support of the old
    libconstantine-java name is preserved.

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 16 May 2011 13:53:52 +0200

libconstantine-java (0.7-2) unstable; urgency=low

  * Jar file is now registered in the local Debian Maven repository.
  * Switched source files of the Debian packaging to MIT license.
  * Bumped Debian policy compliance to 3.9.1. Nothing to do.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 15 May 2011 14:53:27 +0200

libconstantine-java (0.7-1) unstable; urgency=low

  * New upstream release 0.7 (closes: 582287)
  * Bumped Debian policy compliance to 3.8.4 (nothing to do).

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 21 Jun 2010 09:32:21 +0200

libconstantine-java (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #533070)

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 19 Sep 2009 18:10:29 +0200
