=== debian/control ===
Source: libconstantine-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9~), ant
Build-Depends-Indep: default-jdk,
 junit4,
 ant-optional,
 maven-repo-helper,
 bnd
Standards-Version: 3.9.5
Homepage: http://github.com/jnr/jnr-constants/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libconstantine-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libconstantine-java

Package: libconstantine-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Description: platform constants for Java
 This package provides Java values for common platform C constants
 like those of files errno.h or sys/socket.h.
 .
 The upstream version of this package is now also known as jnr-constants.

Package: libconstantine-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Suggests: libconstantine-java
Description: Java Constantine library API documentation
 This package includes the development documentation for the Constantine Java
 library which provides Java values for common platform C constants like
 those of files errno.h or sys/socket.h.
 .
 The upstream version of this package is now also known as jnr-constants.
