=== debian/rules ===
#!/usr/bin/make -f


JAVA_DIR = usr/share/java
DOC_DIR = usr/share/doc/libconstantine-java-doc
PKG_BUILDDIR = debian/libconstantine-java
PKG_DOC_BUILDDIR = debian/libconstantine-java-doc

jarname = constantine
altjarname = libconstantine-java
jarversion = 0.7

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# TODO: hack upstream build system to support this
	ant -Dlibs.junit_4.classpath=/usr/share/java/junit4.jar
else
	ant -Dlibs.junit_4.classpath=/usr/share/java/junit4.jar
endif

	# Generate OSGi metadata for constantine.jar
	bnd wrap -properties debian/constantine.bnd \
		-output dist/constantine.jar dist/constantine.jar

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp
	ant clean
	rm -rf debian/.mh

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs -p libconstantine-java $(JAVA_DIR)

	mh_installjar -plibconstantine-java --java-lib --usj-name=$(jarname) pom.xml dist/constantine.jar
	mh_installpom -plibconstantine-java pom.xml

	# links in /usr/share/java for the old, obsolete jar name
	dh_link usr/share/java/$(jarname)-$(jarversion).jar usr/share/java/$(altjarname).jar
	# this one can be removed once the upstream version is bumped to higher than 0.7:
	dh_link usr/share/java/$(jarname)-$(jarversion).jar usr/share/java/$(altjarname)-$(jarversion).jar

	dh_installdirs -p libconstantine-java-doc $(DOC_DIR)
	mv dist/javadoc $(PKG_DOC_BUILDDIR)/$(DOC_DIR)


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs --indep
	dh_installdocs --indep
	dh_compress --indep
	dh_fixperms --indep
	dh_installdeb --indep
	dh_gencontrol --indep
	dh_md5sums --indep
	dh_builddeb --indep

binary-arch:

binary: binary-indep binary-arch


.PHONY: build install clean binary-indep binary
